Bug 22282 - Internal software error when exporting basket group as PDF
Summary: Internal software error when exporting basket group as PDF
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Christophe Croullebois
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-06 14:57 UTC by Christophe Croullebois
Modified: 2019-02-25 10:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Fix-PDF-issue-in-layout3pagesfr.pm (1.08 KB, patch)
2019-02-06 15:21 UTC, Christophe Croullebois
Details | Diff | Splinter Review
Bug 22282 - Fix PDF issue when exporting PDF in French format. (1.35 KB, patch)
2019-02-07 17:37 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22282 - Fix PDF issue when exporting PDF in French format. (1.40 KB, patch)
2019-02-08 19:32 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22282 - Fix PDF issue when exporting PDF in French format. (1.46 KB, patch)
2019-02-09 20:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2019-02-06 14:57:57 UTC
We have an issue with layout3pagesfr.pm.
In it we have two lines :
package Koha::pdfformat::layout3pagesfr;
package pdfformat::layout3pagesfr;
The second one is unwanted.
I just remove it in this little patch.
Comment 1 Christophe Croullebois 2019-02-06 15:21:21 UTC
Created attachment 84829 [details] [review]
Fix-PDF-issue-in-layout3pagesfr.pm

To test :
Without the patch :

1° select in Acquisitions preferences/OrderPdfFormat French 3-page
2° restart plack if needed
3° In acqui/basketgroup.pl select closed tab
4° Click on "Export as PDF" button
5° You should see a blank page saying "Internal Server Error"

With the patch :

Do the same 

Thx for tests
Comment 2 Fridolin SOMERS 2019-02-07 16:47:59 UTC
Package is usually the first line of file.
You should keep it and remove second line.
Comment 3 Liz Rea 2019-02-07 17:37:20 UTC
Created attachment 84854 [details] [review]
Bug 22282 - Fix PDF issue when exporting PDF in French format.

Fixing up QA comments, keeping 1st instance and removing the 2nd.
Original test plan by Christophe Croullebois.

To test :
Without the patch :

1° select in Acquisitions preferences/OrderPdfFormat French 3-page
2° restart plack if needed
3° In acqui/basketgroup.pl select closed tab
4° Click on "Export as PDF" button
5° You should see a blank page saying "Internal Server Error"

With the patch :

Do the same
Comment 4 Maryse Simard 2019-02-08 19:32:13 UTC
Created attachment 84891 [details] [review]
Bug 22282 - Fix PDF issue when exporting PDF in French format.

Fixing up QA comments, keeping 1st instance and removing the 2nd.
Original test plan by Christophe Croullebois.

To test :
Without the patch :

1° select in Acquisitions preferences/OrderPdfFormat French 3-page
2° restart plack if needed
3° In acqui/basketgroup.pl select closed tab
4° Click on "Export as PDF" button
5° You should see a blank page saying "Internal Server Error"

With the patch :

Do the same

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2019-02-09 20:09:07 UTC
Created attachment 84910 [details] [review]
Bug 22282 - Fix PDF issue when exporting PDF in French format.

Fixing up QA comments, keeping 1st instance and removing the 2nd.
Original test plan by Christophe Croullebois.

To test :
Without the patch :

1° select in Acquisitions preferences/OrderPdfFormat French 3-page
2° restart plack if needed
3° In acqui/basketgroup.pl select closed tab
4° Click on "Export as PDF" button
5° You should see a blank page saying "Internal Server Error"

With the patch :

Do the same

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-02-11 18:45:13 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-12 13:00:02 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-12 22:27:54 UTC
backported to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-02-15 07:07:21 UTC
Pushed to 17.11.x for 17.11.15